function [A,B,methodName] = System(method,M,K,C,a,dt)


switch method
    case 1 % Lax-Wendroff + Galerkin
        A = M;
        B = -a*dt*C- 0.5*a^2*dt^2*K; 
        methodName = 'LW';
    case 2 % Lax-Wendroff with lumped mass matrix + Galerkin
        A = diag(sum(M)); 
        B = -a*dt*C - 0.5*a^2*dt^2*K; 
        methodName = 'LW-FD';
    case 3 % Crank-Nicolson + Galerkin

    case 4 % Crank-Nicolson with lumped mass matrix + Galerkin

    case 5 % Two step - Third order Taylor-Galerkin + Galerkin

    otherwise
        error('not available method')
end
